### Function

# GioUnix InputStream get_fd

since: 2.20

#### Declaration

    gint
    g_unix_input_stream_get_fd (
      GUnixInputStream* stream
    )

#### Description

Return the UNIX file descriptor that the stream reads from.

Available since: 2.20

#### Parameters

`stream`

  Type: `GUnixInputStream`

  A `GUnixInputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

The file descriptor of `stream`.